<?php
/**
 * ProductCategoriesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductCategoriesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductCategoriesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProductCategory
     *
     * Создание объекта типа ProductCategory.
     *
     */
    public function testCreateProductCategory()
    {
    }

    /**
     * Test case for deleteProductCategory
     *
     * Запрос на удаление ProductCategory.
     *
     */
    public function testDeleteProductCategory()
    {
    }

    /**
     * Test case for getProductCategoriesTree
     *
     * Формирование дерева категорий.
     *
     */
    public function testGetProductCategoriesTree()
    {
    }

    /**
     * Test case for getProductCategory
     *
     * Запрос ProductCategory по ID.
     *
     */
    public function testGetProductCategory()
    {
    }

    /**
     * Test case for massDeleteProductCategory
     *
     * Массовое удаление объектов типа ProductCategory.
     *
     */
    public function testMassDeleteProductCategory()
    {
    }

    /**
     * Test case for replaceProductCategory
     *
     * Замена объекта типа ProductCategory.
     *
     */
    public function testReplaceProductCategory()
    {
    }

    /**
     * Test case for searchProductCategories
     *
     * Поиск объектов типа ProductCategory.
     *
     */
    public function testSearchProductCategories()
    {
    }
}
